#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Text
%define		pnam	Soundex
Summary:	Text::Soundex - Implementation of the soundex algorithm
Summary(pl.UTF-8):	Text::Soundex - implementacja algorytmu soundex
Name:		perl-Text-Soundex
Version:	3.05
Release:	6
License:	free (see COPYING)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cb40ded7a5d27aa3a411d274d6ec18ae
URL:		https://metacpan.org/dist/Text-Soundex
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Soundex is a phonetic algorithm for indexing names by sound, as
pronounced in English. The goal is for names with the same
pronunciation to be encoded to the same representation so that they
can be matched despite minor differences in spelling. Soundex is the
most widely known of all phonetic algorithms and is often used
(incorrectly) as a synonym for "phonetic algorithm". Improvements to
Soundex are the basis for many modern phonetic algorithms. (Wikipedia,
2007)

This module implements the original soundex algorithm developed by
Robert Russell and Margaret Odell, patented in 1918 and 1922, as well
as a variation called "American Soundex" used for US census data, and
current maintained by the National Archives and Records Administration
(NARA).

The soundex algorithm may be recognized from Donald Knuth's
The Art of Computer Programming. The algorithm described by
Knuth is the NARA algorithm.

%description -l pl.UTF-8
Soundex to algorytm fonetyczny do indeksowania nazw według brzmienia w
języku angielskim. Celem jest, aby nazwy o tej samej wymowie miały
taką samą reprezentację, przez co mogą być dopasowane niezależnie od
niewielkich różnic w pisowni. Soundex to najbardziej znany algorytm
fonetyczny, zwykle używany (niewłaściwie) jako synonim algorytmu
fonetycznego. (Wikipedia angielska, 2007)

Ten moduł implementuje oryginalny algorytm soundex opracowany przez
Roberta Russella oraz Margaret Odell, opatentowany w 1918 i 1922, oraz
wariację o nazwie "soundex amerykański" używany dla danych ludności w
USA, obecnie zarządzany przez NARA (National Archives and Records
Administration).

Algorytm soundex można znaleźć w "The Art of Computer Programming"
Donalda Knutha. Algorytm opisany przez Knutha to algorytm NARA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# extract copyright information
%{__sed} -n -e '3,12p' Soundex.pm > COPYING

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes
%{perl_vendorarch}/Text/Soundex.pm
%dir %{perl_vendorarch}/auto/Text/Soundex
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Soundex/Soundex.so
%{_mandir}/man3/Text::Soundex.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Soundex.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 140104f
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 84698fc
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> f708d90
- rebuild with perl 5.34.0

* Sat Jun 26 2021 Jakub Bogusz <qboosh@pld-linux.org> ea7cab5
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 065017c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a2660ce
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7740aa8
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> d81991b
- updated to 3.05

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2fa89d3
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c2d001d
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2a29377
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a1b31dd
- release 2 (by relup.sh)

* Sun Sep 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 8c988e5
- new

